> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Feature Gates



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/admin/feature-gates
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/admin/feature-gates:
    get:
      tags:
        - admin-feature-gates
      summary: List Feature Gates
      operationId: admin_feature_gates.get_admin_feature_gates_get_admin_feature_gates
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: >-
                  #/components/schemas/JsonApiListResponse_FeatureGateAttributes_
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    JsonApiListResponse_FeatureGateAttributes_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/JsonApiResource_FeatureGateAttributes_'
          title: Data
          type: array
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiPaginationLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiListResponse[FeatureGateAttributes]
      type: object
    JsonApiResource_FeatureGateAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/FeatureGateAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[FeatureGateAttributes]
      type: object
    JsonApiPaginationLinks:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiPaginationLinks
      type: object
    FeatureGateAttributes:
      properties:
        hidden_keys:
          items:
            type: string
          title: Hidden Keys
          type: array
        owner:
          title: Owner
          type: string
        public_schema:
          title: Public Schema
          type: boolean
        removal_ticket:
          title: Removal Ticket
          type: string
        state:
          title: State
          type: string
        teams:
          items:
            type: string
          title: Teams
          type: array
      required:
        - state
        - teams
        - owner
        - removal_ticket
        - hidden_keys
        - public_schema
      title: FeatureGateAttributes
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.